Validates credentials live against EmailBison and stores them. Returns a credentialId used in all subsequent export and delete calls.Query Parameters#
| Name | Type | Required | Description | Example |
|---|
userId | string | Yes | Unique identifier for the user | BVZGM5TE9BMP3PP0VWGW943RGV1B |
Request
Add parameter in header cmr-x-api-key
Example:cmr-x-api-key: ********************
or
Body Params application/jsonRequired
{
"app": "EMAILBISON",
"credentials": {
"email": "john@agency.com",
"password": "eb_password_abc123"
},
"metadata": {
"appBaseUrl": "https://app.emailbison.com",
"clientId": "client_eb_1234abcd",
"appName": "EmailBison",
"workspace": "my-workspace"
}
}
Request Code Samples
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/exports/platform-credential?userId=BVZGM5TE9BMP3PP0VWGW943RGV1B' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"app": "EMAILBISON",
"credentials": {
"email": "john@agency.com",
"password": "eb_password_abc123"
},
"metadata": {
"appBaseUrl": "https://app.emailbison.com",
"clientId": "client_eb_1234abcd",
"appName": "EmailBison",
"workspace": "my-workspace"
}
}'
Responses
application/json
{
"status": 200,
"message": "Platform credentials added successfully",
"data": {
"credentialId": "A1B2C3D4E5F6G7H8"
}
}
Modified at 2026-06-23 16:21:02